/**
 * 初始化银行账号变更详情对话框
 */
var TalentBankChangeInfoDlg = {
    talentBankChangeInfoData : {},
    validateFields: {
        newBankName: {validators: {notEmpty: {message: '现开户银行不能为空' }}},
        newBankNerPoint : {validators: {notEmpty: {message: '现开户银行网点不能为空' }}},
        newBankAccount : {validators: {notEmpty: {message: '现银行账号不能为空' }}},
        newBankNumber: {validators: {notEmpty: {message: '现银行行号'}}}
    }
};

/**
 * 清除数据
 */
TalentBankChangeInfoDlg.clearData = function() {
    this.talentBankChangeInfoData = {};
}

/**
 * 设置对话框中的数据
 *
 * @param key 数据的名称
 * @param val 数据的具体值
 */
TalentBankChangeInfoDlg.set = function(key, val) {
    this.talentBankChangeInfoData[key] = (typeof val == "undefined") ? $("#" + key).val() : val;
    return this;
}

/**
 * 设置对话框中的数据
 *
 * @param key 数据的名称
 * @param val 数据的具体值
 */
TalentBankChangeInfoDlg.get = function(key) {
    return $("#" + key).val();
}

/**
 * 关闭此对话框
 */
TalentBankChangeInfoDlg.close = function() {
    parent.layer.close(window.parent.TalentBankChange.layerIndex);
}

$(function() {
});
